package sk.novotnyr.eydee;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import javax.swing.table.AbstractTableModel;

public class Mp3AlbumTableModel extends AbstractTableModel {
	private List<File> mp3Files = new ArrayList<File>();
	private List<Tag> mp3Tags = new ArrayList<Tag>();
	
	
	private ID3Reader reader = new ID3Reader();
	
	public Mp3AlbumTableModel(File mp3Directory) {
		File[] files = mp3Directory.listFiles();
		for (File file : files) {
			if(file.isFile() && file.getName().endsWith(".mp3")) {
				try {
					mp3Files.add(file);
					mp3Tags.add(reader.read(file));
				} catch (Exception e) {
					e.printStackTrace();
				} 
			}
		}
	}


	@Override
	public int getColumnCount() {
		//Nzov sboru + Titul z ID3 + Umelec z ID3
		return 3;
	}

	@Override
	public int getRowCount() {
		return mp3Files.size();
	}

	@Override
	public Object getValueAt(int rowIndex, int columnIndex) {
		switch (columnIndex) {
		case 0:
			return mp3Files.get(rowIndex).getPath();
		case 1:
			return mp3Tags.get(rowIndex).getTitle();
		case 2:
			return mp3Tags.get(rowIndex).getArtist();
		} 
		return null;
	}
	
}
